<template>
    <div>
      
    </div>
</template>
<script>
export default {
    data(){
      return {
      
       
        }
    },
    created(){
      // setInterval(()=>{
      //    this.open1() 
      // },60000)
      setInterval(()=>{
      this.ddd()
    },200000)
    },
    mounted(){

    },
    methods:{
    //    // 打开一个新的通知
    // 	openNotify(userNotification) {
    // 	 // userNotification 中的userNotifyId是唯一的
    // 	 const h = this.$createElement
    //      let notify= this.$notify.success({
    //        title: data.notification.notifyName,
    //        dangerouslyUseHTMLString: true,
    //        position: 'bottom-right',
    //        message: h(
    //         'p',
    //         {
    //           // 相当于`v-bind:style`
    //           style: {
    //             color: 'red',
    //             fontSize: '14px'
    //           },
    //           class: 'pointer',
    //           on: {
    //             click: () => {
    //               this.closeNotification(
    //                 data.notification.data.message,
    //                 data.userNotifyId,
    //               )
    //             }
    //           }
    //         },
    //         data.notification.data.message
    //       ),
    //       duration: 60 * 1000
    //     })
    //     this.notifications[data.userNotifyId] = notify
    //  },
    //  //关闭单个通知
    //  closeNotification(message, id){
    //   this.notifications[id].close();
    //   delete this.notifications[id];
    //  },
    //   // 关闭所有通知
    //  closeAllNotification(){
    //   for (let key in this.notifications) {
    //     this.notifications[key].close();
    //     delete this.notifications[key];
    //   }
    // }
       open1() {
       const h = this.$createElement
      	const hrender = h('p', null, [
          h('div', [
            h('div','终端名称:pqs600-200 '), // 传变量
            h('div','告警类型:流量告警'),
            h('div','告警发生时间:2022-05-25 12:25:54'),
            ], null),
            h('button', {
            class: '样式',
          }, "处理"),
          ])

      var rq = document.getElementById('ppp')
      this.$notify({
            title: '告警通知',
            dangerouslyUseHTMLString: true,
            message: hrender,
            type: 'warning',
           // position: 'bottom-right',
            offset: 50,
            duration: 0,
            // showClose: false,
            onClick: () => {
              //this.toApproval(approvalQuery)
              this.$router.push("/BusinessAdministrator/alarManagement/AlarmInformation");
            },
            onClose: () => {
             // alert(`Notify已关闭，说明异常或已查看`)
            }
          })    
    //this.yuyin()
      },
      ddd(){
        this.$notify.closeAll()
      },
      yuyin(){
      let utterThis = new window.SpeechSynthesisUtterance();
      // utterThis.text = data.toString();  //播放内容
      utterThis.text= '终端pqs9000-300空调外机启动测试发生严重告警,请尽快联系管理员处理';  //播放内容
      window.speechSynthesis.speak(utterThis);
      }
    }
}
</script>

